Browse Source

Riaggiunti gli hook

jigen 9 years ago
parent
commit
e86762cfff
2 changed files with 20 additions and 0 deletions
  1. 10 0
      etckeeper-commit-post
  2. 10 0
      etckeeper-commit-pre

+ 10 - 0
etckeeper-commit-post

@@ -0,0 +1,10 @@
+#!/bin/sh
+
+PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+
+which etckeeper > /dev/null 2>&1 || exit 0
+
+etckeeper commit "committing changes in /etc after puppet catalog run"
+
+# Failure of etckeeper should not be fatal.
+exit 0

+ 10 - 0
etckeeper-commit-pre

@@ -0,0 +1,10 @@
+#!/bin/sh
+
+PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+
+which etckeeper > /dev/null 2>&1 || exit 0
+
+etckeeper commit "saving uncommitted changes in /etc prior to puppet catalog run"
+
+# Failure of etckeeper should not be fatal.
+exit 0